### Function

# GLib atomic_ref_count_compare

since: 2.58

#### Declaration [src]

    gboolean
    g_atomic_ref_count_compare (
      gatomicrefcount* arc,
      gint val
    )

#### Description [src]

Atomically compares the current value of `arc` with `val`.

Available since: 2.58

#### Parameters

`arc`

  Type: `gatomicrefcount*`

  The address of an atomic reference count variable.

  The data is owned by the caller of the function.

`val`

  Type: `gint`

  The value to compare.

#### Return value

Type: `gboolean`

`TRUE` if the reference count is the same as the given value.